//+------------------------------------------------------------------+
//|                                         ChangeTF-allCharts.mq4   |
//|                                       Copyright  2015, SharkFX  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2015, SharkFX"
#property link      "SharkFX.in.ua"
#property show_inputs
#property strict

#property description "       "
#property description "!!     DLL !!"

#import "user32.dll"
   int      PostMessageA(int hWnd,int Msg,int wParam,int lParam);
   int      GetWindow(int hWnd,int uCmd);
   int      GetParent(int hWnd);
#import

enum TFlist
  {
   M1=1,     // M1
   M5=5,     // M5
   M15=15,     // M15
   M30=30,     // M30
   H1=60,    // H1
   H4=240,    // H4
   D1=1440,    // D1
   W1=10080,    // W1
   MN=43200,    // MN
  };

extern string AllowDLL = "<--  !!!";  //   DLL
extern TFlist timeframe = H1; //     :
                   
void start() {      
   bool blnContinue = true;   
   int intParent = GetParent(WindowHandle( Symbol(), Period()));   
   int intChild = GetWindow(intParent, 0);
   int intCmd = 0; 
   
   switch(timeframe) {
      case M1:   intCmd = 33137;  break;
      case M5:   intCmd = 33138;  break;
      case M15:  intCmd = 33139;  break;
      case M30:  intCmd = 33140;  break;
      case H1:   intCmd = 35400;  break;
      case H4:   intCmd = 33136;  break;
      case D1:   intCmd = 33134;  break;
      case W1:   intCmd = 33141;  break;
      case MN:   intCmd = 33334;  break;
   }
   
   if (intChild > 0) {
      if (intChild != intParent) PostMessageA(intChild, 0x0111, intCmd, 0);
   }
   else blnContinue = false;   
   
   while(blnContinue) {
      intChild = GetWindow(intChild, 2);   
      if (intChild > 0) { 
         if (intChild != intParent) PostMessageA(intChild, 0x0111, intCmd, 0);
      }
      else blnContinue = false;
   }
   
   //   .
   PostMessageA(intParent, 0x0111, intCmd, 0);
}